Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class Bulkhead55RapidRetry10MethodAsynchBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead55RapidRetry10MethodAsynchBean

@ApplicationScoped public class Bulkhead55RapidRetry10MethodAsynchBean extends Object
A simple method level Asynchronous @Bulkhead bean that has a retry option.

Author:
  Gordon Hutchison, Andrew Rouse

## Constructor Summary

Constructors
Constructor
Description
`Bulkhead55RapidRetry10MethodAsynchBean()`

## Method Summary

Modifier and Type
Method
Description
`Future<?>`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Bulkhead55RapidRetry10MethodAsynchBean

public Bulkhead55RapidRetry10MethodAsynchBean()

## Method Details

### test

@Bulkhead(waitingTaskQueue=5, value=5) @Asynchronous @Retry(retryOn=org.eclipse.microprofile.faulttolerance.exceptions.BulkheadException.class, delay=1L, delayUnit=MICROS, jitter=0L, maxRetries=10, maxDuration=999999L) public Future<?> test(Barrier barrier)